#include <stdio.h>
#include <shmem.h>
#include "pgmio.h"

int main(void)
{
  
  int mype, numpes;

  shmem_init();

  numpes = shmem_n_pes();
  mype = shmem_my_pe();

  if (mype == 0)
  {
    printf("Running with %d PE(s)\n",numpes);
  }
  
  printf("Hello from PE %d out of %d\n",mype,numpes);

  shmem_finalize();

  return 0;
}
